
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>打造基于hadoop的网站日志分析系统（5）之spark在日志分析系统里的简单应用 / 憋错料</title>

    <meta name="description" content="打造基于hadoop的网站日志分析系统（5）之spark在日志分析系统里的简单应用 1.下载spark和运行 wget http://apache.fayea.com/apache-mirror/spark/spark-1.0.0/spark-1.0.0-bin-hadoop2.tgz 我这里下载的是1.0.0版,由于我们只是测试spark的用法所以不需要配置spark集群,只需把下好的文件解压,进入bin/文件夹. spark支持scala,java和python. scala和java输入命令:./spark-shell python 输入命令 ./pyspark 进入控制">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">打造基于hadoop的网站日志分析系统（5）之spark在日志分析系统里的简单应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>1.下载spark和运行</strong></p>
<p>wget&nbsp;http://apache.fayea.com/apache-mirror/spark/spark-1.0.0/spark-1.0.0-bin-hadoop2.tgz</p>
<p>我这里下载的是1.0.0版,由于我们只是测试spark的用法所以不需要配置spark集群，只需把下好的文件解压，进入bin/文件夹。</p>
<p>spark支持scala，java和python。</p>
<p>scala和java输入命令：./spark-shell python 输入命令 ./pyspark 进入控制台，我们以python为例：</p>
<p>很简单无需任何配置，好的开始是成功的一半，我们继续。</p>
<p><strong>2.简单应用</strong></p>
<p><strong>读取文本文件,我们还是以之前的日志文件为例：</strong></p>
<p>&gt;&gt;&gt;file = sc.textFile(&quot;/home/hadoop/20130207.txt&quot;)</p>
<p>PS:python是大小写敏感的；路径要给全，否则默认是你运行命令时的那个路径；python2.7.X版本对编码支持一直是个问题，请尽量统一源文件的编码，如&quot;utf-8&quot;.</p>
<p><strong>显示总行数:</strong></p>
<p>&gt;&gt;&gt; file.count()</p>
<p>265063</p>
<p><strong>显示第一行内容：</strong></p>
<p>&gt;&gt;&gt;file.first()</p>
<p><strong>得到所有被</strong><strong>ie8访问的url的计数</strong>：</p>
<p>&gt;&gt;&gt;file.filter(lambda line : &quot;MSIE 8.0&quot; in line).count()</p>
<p>98670</p>
<p>Ps: lambda 是匿名函数的写法；filter默认输入的是整行，上述代码的意思遍历每一行并计算出包含“MSIE 8.0”字符串的行数和。</p>
<p><strong>得到拥有最多字段数的那行的字段个数：</strong></p>
<p>&gt;&gt;&gt; file.map(lambda line : len(line.split(&quot;|&quot;))).reduce(lambda a,b: a if a&gt;b else b )</p>
<p>Ps:map(lambda line : len(line.split(&quot;|&quot;)))是把每行分割成集合并返回集合的成员数；</p>
<p>python中的reduce内建函数是一个二元操作函数，他用来将一个数据集合（链表，元组等）中的所有数据进行下列操作：用传给reduce中的函数 func()（必须是一个二元操作函数）先对集合中的第1，2个数据进行操作，得到的结果再与第三个数据用func()函数运算，最后得到一个结果。</p>
<p><strong>统计每个字符串（字段内容</strong><strong>）</strong><strong>出现的次数：</strong></p>
<p>file.flatMap(lambda line :line.split(&quot;|&quot;)).map(lambda word:(word,1)).reduceByKey(lambda a,b:a+b).collect()</p>
<p>结果显示的数据太多了，精神崩溃~~，换个方式~</p>
<p><strong>统计每个字符串（字段内容</strong><strong>）</strong><strong>出现的次数，并显示出现最多个10个字符串</strong><strong>：</strong></p>
<p>&gt;&gt;&gt;file.flatMap(lambda line :line.split(&quot;|&quot;)).map(lambda word:(word,1)).reduceByKey(lambda a,b:a+b).map(lambda (k,v):(v,k)).sortByKey().top(10）</p>
<p>sortByKey是根据键值排序，top是提取前X个记录，跟hive中的limit 类似。由于spark中没有sortByValue方法，所以在排序前先把key和value互换。</p>
<p><P>打造基于hadoop的网站日志分析系统（5）之spark在日志分析系统里的简单应用</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 13:49:39 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>打造基于hadoop的网站日志分析系统（5）之spark在日志分析系统里的简单应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QzZPNM.html" rel="bookmark">Spark 源码分析系列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下,是 spark 源码分析系列的一些文章汇总,持续更新中...... Spark RPC spark 源码分析之五--Spark RPC剖析之创建NettyRpcEnv spark 源码分析之六--Spark RPC剖析之Dispatcher和Inbox.Outbox剖析 spark 源码分析之七--Spark RPC剖析之RpcEndPoint和RpcEndPointRef剖析 spark 源码分析之八--Spark RPC剖析之TransportContext和TransportClie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6gnGN0.html" rel="bookmark">基于Hadoop技术实现的离线电商分析平台&lpar;Flume、Hadoop、Hbase、SpringMVC、highcharts&rpar;视频教程（项目实战）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				38套大数据,云计算,架构,数据分析师,Hadoop,Spark,Storm,Kafka,人工智能,机器学习,深度学习,项目实战视频教程 视频课程包含: 38套大数据和人工智能精品高级课包含:大数据,云计算,架构,数据挖掘实战,实时推荐系统实战,电视收视率项目实战,实时流统计项目实战,离线电商分析项目实战,Spark大型项目实战用户分析,智能客户系统项目实战,Linux基础,Hadoop,Spark,Storm,Docker,Mapreduce,Kafka,Flume,OpenStack,Hiv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38gGGn0.html" rel="bookmark">hadoop实例-网站用户行为分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.数据集 网站用户购物行为数据集2030万条,包括raw_user.csv(2000万条)和small_user.csv(30万条,适合新手) 字段说明: user_id 用户编号,item_id 商品编号,behavior_type 用户操作类型:1(浏览).2(收藏).3(加入购物车).4(购买) user_geohash 用户地理位置哈希值,在预处理中将其转化为province省份.item_category商品分类,time 用户操作时间 二.实验任务 安装Linux操作系统 安装关系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aGkKq4.html" rel="bookmark">基于hadoop &lpar;map&sol;reduce&rpar;的大规模分布式并行计算生产排程系统的设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				map/reduce是大数据处理的技术,它的思路是把大规模数据分成一个个小数据块,每个数据块由一个map任务来处理,处理的中间结果汇总到reduce,最后生成最终的处理结果,这个处理和汇总的过程是可以反复多次的,也就是map-reduce-map-reduce 基于map/reduce的思路,我们可以设计基于hadoop(map/reduce)的大规模分布式并行计算生产排程系统,怎么样把大数据处理变成大规模分布式并行计算呢,就是我们不切分数据,每个map任务的数据都是相同的,每个map任务对排程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OAR7PM.html" rel="bookmark">基于SSH的网站后台系统定做</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一,关于我们我们是一支有着多位长期处于一线开发岗位工程师的团队,我们有着多年的开发经验,是一只经验丰富的专业团队,我们为客户提供各专业高质量的毕业设计定做服务,致力于为即将毕业的同学提供毕业设计指导.毕设代做.毕设定制等一站式服务.他们在软件工程的各个领域积累了丰富的经验,保证服务水平. 联系我们:.扣.扣.号(幺零三贰三七幺贰幺) 我们会根据您提出的需求,完全按照您交代的任务书来进行完全基于原创而定制的设计产品,做出来的成品设计完全基于原创,绝非市场上其他的玳做同行们的修改模板的劣质产品. 二			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/7MVW920.html" rel="bookmark">基于Hadoop离线大数据分析平台项目实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Hadoop离线大数据分析平台项目实战  课程学习入口:http://www.xuetuwuyou.com/course/184 课程出自学途无忧网:http://www.xuetuwuyou.com 课程简介: 某购物电商网站数据分析平台,分为收集数据.数据分析和数据展示三大层面.其中数据分析主要依据大数据Hadoop生态系统常用组件进行处理,此项目真实的展现了大数据在企业中实际应用. 课程内容 (1)文件收集框架 Flume ①Flume 设计架构.原理(三大组件) ②Flume 初步使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dNOwn4.html" rel="bookmark">大数据分析- 基于Hadoop&sol;Mahout的大数据挖掘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着互联网.移动互联网和物联网的发展,我们已经切实地迎来了一个大数据的时代.大数据是指无法在一定时间内用常规软件工具对其内容进行抓取.管理和处理的数据集合,对大数据的分析已经成为一个非常重要且紧迫的需求.目前对大数据的分析工具,首选的是Hadoop平台.Hadoop在可伸缩性.健壮性.计算性能和成本上具有无可替代的优势,事实上已成为当前互联网企业主流的大数据分析平台. 一.培训对象 1,系统架构师.系统分析师.高级程序员.资深开发人员. 2,牵涉到大数据处理的数据中心运行.规划.设计负责人. 3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Z68DJ3.html" rel="bookmark">基于Hadoop大数据分析应用场景与实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Hadoop的应用业务分析 大数据是不能用传统的计算技术处理的大型数据集的集合.它不是一个单一的技术或工具,而是涉及的业务和技术的许多领域. 目前主流的三大分布式计算系统分别为:Hadoop.Spark和Strom: Hadoop当前大数据管理标准之一,运用在当前很多商业应用系统.可以轻松地集成结构化.半结构化甚至非结构化数据集. Spark采用了内存计算.从多迭代批处理出发,允许将数据载入内存作反复查询,此外还融合数据仓库,流处理和图形计算等多种计算范式.Spark构建在HDFS上,能与H			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/j4NXPB0.html" rel="bookmark">elk系统搭建并收集nginx日志-主要步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一)简介 elk系统是一套目前较为流行的日志收集分析系统,主要由elasticserch,logstash,kibana三部分组成,其中elasticsearch负责数据的存储,logstash负责日志的收集过滤,kibana负责日志的可视化部分.整个工作流程为logstash收集日志,过滤后输出并保存到elasticsearch中,最后用户通过kibana从elasticsearch中读取数据并处理.本文中日志收集引入filebeat收集日志,logstash监听在5000端口并接受fileb			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pzLkM.html" rel="bookmark" class="title">Android Studio使用技巧系列教程（五）</a>
					<div>
						尊重劳动成果,转载请注明出处:http://blog.csdn.net/growth58/article/details/46946315 关注新浪微博:@于卫国 邮箱:[email protecte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmPVj4.html" rel="bookmark" class="title">661&period; Image Smoother【easy】</a>
					<div>
						661. Image Smoother[easy] Given a 2D integer matrix M representing the gray scale of an image, you n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gn5P0.html" rel="bookmark" class="title">网络流 最大流HDU 3549</a>
					<div>
						////////// 在这幅图中我们首先要增广1-&gt;2-&gt;4-&gt;6,这时可以获得一个容量为2的流,但是如果不建立4-&gt;2反向弧的话,则无法进一步增广,最终答案为2,显然是不对的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRmzZ0.html" rel="bookmark" class="title">获得系统属性</a>
					<div>
						System.getProperty()参数大全 查资料用:java.version Java Runtime Environment versionjava.vendor Java Runtime  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvLVq3.html" rel="bookmark" class="title">黑马程序员-C学习笔记-第一个C语言程序</a>
					<div>
						------- ios培训. android培训.java培训.期待与您交流! ---------- 一.第一个C语言程序 源代码:程序员自己写的代码 编译:把源代码翻译成0和1的过程,生成一个.o文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGax9G3.html" rel="bookmark" class="title">Linux服务器性能压力测试</a>
					<div>
						对于新采购的服务器,需要进行有必要的性能测试.这里选择UnixBench工具进行性能测试.记录如下: 1)安装使用下面的脚本使用了最新版UnixBench5.1.3来测试,注释了关于graphic的测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eywEZ0.html" rel="bookmark" class="title">storm0&period;9&period;5集群安装</a>
					<div>
						安装前的准备工作l 关闭防火墙 chkconfig iptables off &amp;&amp; setenforce 0 l 创建用户 groupadd realtime &amp;&amp; u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpPXl3.html" rel="bookmark" class="title">【unity3D】鼠标控制camera的移动、放大（俯视浏览效果）</a>
					<div>
						在Unity开发中,用鼠标滚轮来实现摄像机移动控制视角变化或其它物体移动,代码如下: if( Input.GetAxis(&quot;Mouse ScrollWheel&quot;) != 0 ) { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnAEX3.html" rel="bookmark" class="title">专门供开发者使用的免费的虚拟机资源：超能云 &lpar;SuperVessel Cloud&rpar;</a>
					<div>
						真心的好资源,先告知大家,过两天再把更详细的攻略奉上. 注册登录网址:www.ptopenlab.com 这个SuperVessel云平台原来只面向高校老师和学生开放,因为羊年春节搞活动,现在已经开放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZj2N4.html" rel="bookmark" class="title">LAMP搭建--未整理版</a>
					<div>
						[[email protected] ~]#yum search  关键字   //安装过程中提示少哪个程序就搜关键字找包名 [[email protected] httpd-2.2.25]# ./c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZxWW3.html" rel="bookmark" class="title">京东Java实习生面经</a>
					<div>
						先自我介绍下,国内渣本科211学校,坐标京津冀,面的北京京东JAVA研发,实习通知已经拿到.大学感觉过的挺颓废的,每天课去上,去听,回宿舍做完专业作业就开始打游戏,看视频.偶尔跟着同学做过几个项目,大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zeXyM.html" rel="bookmark" class="title">（转）修改查看MYSQL字符集（charset）</a>
					<div>
						修改查看MySQL字符集(charset) 转自:http://www.cnblogs.com/fengqingtao/archive/2010/11/23/1885220.html 查看mysql的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBW1GE0.html" rel="bookmark" class="title">10&period;25 （上午） 开课一个月零二十一天 （继承多态）</a>
					<div>
						//面对对象三大特性 //封装 //目的:让类更安全 //做法:成员变量变为私有的,通过方法来间接操作成员变量,在方法里面加限制条件 //继承 //概念:子类可以继承父类的一切 //方法重写:在子类里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkKGJ3.html" rel="bookmark" class="title">Centos配置vsftpd</a>
					<div>
						#安装vsftpdyum install vsftpd #限制用户只能访问配置的目录,不能访问其他路径#修改vi /etc/vsftpd/vsftpd.conf chroot_list_enable= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLrVQv3.html" rel="bookmark" class="title">PL&sol;SQL学习（一）</a>
					<div>
						原文参考:http://plsql-tutorial.com/ PL/SQL Block consists of three sections: The Declaration section (op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aGJzq4.html" rel="bookmark" class="title">OAEP及其在OpenSSL中的实现</a>
					<div>
						RSA OAEP最优非对称加密填充 1输入 2加密过程 3校验过程 OpenSSL对OAEP的实现 RSA_padding_add_PKCS1_OAEP_mgf1 RSA_padding_check_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6jrP3.html" rel="bookmark" class="title">zabbix重点笔记</a>
					<div>
						############################ #zabbix重点#### #zabbix分为主动监控和被动监控 #主动监控:客户端主动的去收集信息,然后发向服务端. #被动监控:服务端向客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWQdbL3.html" rel="bookmark" class="title">SQL Server 数学函数 相关</a>
					<div>
						1.计算绝对值ABS ABS函数对一个数值表达式结果计算绝对值(bit数据类型除外),返回整数. 语法结构: ABS(数值表达式) 返回值:与数值表达式类型一致的数据 示例: SELECT ABS(- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0agJnE4.html" rel="bookmark" class="title">Android-高级UI控件&lowbar;Gallery图片切换</a>
					<div>
						代码 Activity01 package com.lxt008; import android.app.Activity; import android.os.Bundle; import andr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qDGLD0.html" rel="bookmark" class="title">Tomcat启动分析（转载）</a>
					<div>
						1 - Tomcat Server的组成部分 1.1 - Server A Server element represents the entire Catalina servlet containe ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
